#ifndef qdefs_H

#define qdefs_H

// misc definitions compatible with Q3

typedef unsigned char byte;


// byte ordering 
inline short   BigShort (short l)
{
	byte    b1,b2;

	b1 = l&255;
	b2 = (l>>8)&255;

	return (b1<<8) + b2;
}

inline short   LittleShort (short l)
{
	return l;
}


inline int    BigLong (int l)
{
	byte    b1,b2,b3,b4;

	b1 = l&255;
	b2 = (l>>8)&255;
	b3 = (l>>16)&255;
	b4 = (l>>24)&255;

	return ((int)b1<<24) + ((int)b2<<16) + ((int)b3<<8) + b4;
}

inline int    LittleLong (int l)
{
	return l;
}

inline float	BigFloat (float l)
{
	union {byte b[4]; float f;} in, out;
	
	in.f = l;
	out.b[0] = in.b[3];
	out.b[1] = in.b[2];
	out.b[2] = in.b[1];
	out.b[3] = in.b[0];
	
	return out.f;
}

inline float	LittleFloat (float l)
{
	return l;
}


/*
=================
Error

For abnormal program terminations in console apps
=================
*/
inline void Error( const char *error, ...)
{
	va_list argptr;

	printf ("\n************ ERROR ************\n");

	va_start (argptr,error);
	vprintf (error,argptr);
	va_end (argptr);
	printf ("\r\n");

	exit (1);
}





#endif
